# rust-gdk-sys.spec
# Generated by rust2rpm 20
%bcond_with check
%global debug_package %{nil}

%global crate gdk-sys

Name:           rust-%{crate}-0.10
Version:        0.10.0
Release:        1%{?dist}.2
Summary:        FFI bindings to libgdk-3

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/gdk-sys
Source:         https://crates.io/api/v1/crates/%crate/%version/download#/%crate-%version.crate

ExclusiveArch:  %{rust_arches}
BuildRequires:  pkgconfig(gdk-3.0) >= 3.14

BuildRequires:  cargo-rpm-macros
BuildRequires:  (crate(cairo-sys-rs/default) >= 0.10.0 with crate(cairo-sys-rs/default) < 0.11.0~)
BuildRequires:  (crate(gdk-pixbuf-sys/default) >= 0.10.0 with crate(gdk-pixbuf-sys/default) < 0.11.0~)
BuildRequires:  (crate(gio-sys/default) >= 0.10.0 with crate(gio-sys/default) < 0.11.0~)
BuildRequires:  (crate(glib-sys/default) >= 0.10.0 with crate(glib-sys/default) < 0.11.0~)
BuildRequires:  (crate(gobject-sys/default) >= 0.10.0 with crate(gobject-sys/default) < 0.11.0~)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0~)
BuildRequires:  (crate(pango-sys/default) >= 0.10.0 with crate(pango-sys/default) < 0.11.0~)
BuildRequires:  (crate(pkg-config/default) >= 0.3.7 with crate(pkg-config/default) < 0.4.0~)
BuildRequires:  (crate(system-deps/default) >= 1.3.0 with crate(system-deps/default) < 2.0.0~)
%if %{with check}
BuildRequires:  (crate(shell-words/default) >= 0.1.0 with crate(shell-words/default) < 0.2.0~)
BuildRequires:  (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0~)
%endif

%global _description %{expand:
FFI bindings to libgdk-3.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gdk-3.0) >= 3.14

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc versions.txt
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages which
use the "dox" feature of the "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_16-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gdk-3.0) >= 3.16

%description -n %{name}+v3_16-devel %{_description}

This package contains library source intended for building other packages which
use the "v3_16" feature of the "%{crate}" crate.

%files       -n %{name}+v3_16-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_18-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gdk-3.0) >= 3.18

%description -n %{name}+v3_18-devel %{_description}

This package contains library source intended for building other packages which
use the "v3_18" feature of the "%{crate}" crate.

%files       -n %{name}+v3_18-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_20-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gdk-3.0) >= 3.20

%description -n %{name}+v3_20-devel %{_description}

This package contains library source intended for building other packages which
use the "v3_20" feature of the "%{crate}" crate.

%files       -n %{name}+v3_20-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_22-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gdk-3.0) >= 3.22

%description -n %{name}+v3_22-devel %{_description}

This package contains library source intended for building other packages which
use the "v3_22" feature of the "%{crate}" crate.

%files       -n %{name}+v3_22-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v3_24-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(gdk-3.0) >= 3.24

%description -n %{name}+v3_24-devel %{_description}

This package contains library source intended for building other packages which
use the "v3_24" feature of the "%{crate}" crate.

%files       -n %{name}+v3_24-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Feb  8 2022 Oleg Girko <ol@infoserver.lv> - 0.10.0-1
- Initial package
